Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
cls_9byte1.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | cls_struct_9byte

## Typedefs
typedef struct cls_struct_9byte | cls_struct_9byte

## Functions
cls_struct_9byte | cls_struct_9byte_fn (struct cls_struct_9byte b1, struct cls_struct_9byte b2)
int | main (void)

## Typedef Documentation

## ◆ cls_struct_9byte

typedef struct cls_struct_9byte cls_struct_9byte

## Function Documentation

## ◆ cls_struct_9byte_fn()

cls_struct_9byte cls_struct_9byte_fn | ( | struct cls_struct_9byte | b1,
|  | struct cls_struct_9byte | b2
| ) |  |

Definition at line 18 of file cls_9byte1.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 43 of file cls_9byte1.c.

References cls_struct_9byte::a, cls_struct_9byte::b, CHECK, cls_struct_9byte_fn(), ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), NULL, and printf().